package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 订单表
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaOrder对象", description="订单表")
public class TaOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "订单Id")
    @TableId(value = "order_id", type = IdType.INPUT)
    private String orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "下单人Id")
    private String personId;

    @ApiModelProperty(value = "费用")
    private Integer charges;

    @ApiModelProperty(value = "农机类型")
    private String machineryType;

    @ApiModelProperty(value = "类型名称")
    private String typeName;

    @ApiModelProperty(value = "作业地址")
    private String address;

    @ApiModelProperty(value = "预约时间")
    private LocalDateTime appointmentDate;

    @ApiModelProperty(value = "付款状态")
    private Integer payStatus;

    @ApiModelProperty(value = "调度状态")
    private Integer dispatchStatus;

    @ApiModelProperty(value = "工作状态")
    private Integer workStatus;

    @ApiModelProperty(value = "是否评价")
    private Integer isEvaluated;

    @ApiModelProperty(value = "是否退单")
    private Integer isRefund;

    @ApiModelProperty(value = "接单机构")
    private String orgId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "下单时间")
    private LocalDateTime createDate;


}
