package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 作业表
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaWorkJob对象", description="作业表")
public class TaWorkJob implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "作业ID")
    @TableId(value = "job_id", type = IdType.INPUT)
    private String jobId;

    @ApiModelProperty(value = "调度ID")
    private String dispatchId;

    @ApiModelProperty(value = "订单ID")
    private String orderId;

    @ApiModelProperty(value = "农机手ID")
    private String workerId;

    @ApiModelProperty(value = "农机ID")
    private String machineryId;

    @ApiModelProperty(value = "开始时间")
    private LocalDateTime startDate;

    @ApiModelProperty(value = "结束时间")
    private LocalDateTime endDate;

    @ApiModelProperty(value = "区域ID")
    private String regionId;

    @ApiModelProperty(value = "作业类型")
    private String typeId;

    @ApiModelProperty(value = "作业面积")
    private String area;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
