package com.yunzhi.nanyang.exception;

import com.yunzhi.nanyang.common.ResponseBean;
import lombok.extern.slf4j.Slf4j;
import org.apache.shiro.authz.UnauthorizedException;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@Slf4j
@RestControllerAdvice
public class GlobalExceptionHandler {

    @ResponseBody
    @ExceptionHandler(Exception.class)
    public ResponseBean handleException(Exception e){
        e.printStackTrace();

        if (e instanceof UnauthorizedException) {
            return ResponseBean.error("暂无权限进行当前操作", ResponseBean.ERROR_UNAUTHORIZED);
        }
        return ResponseBean.error(e.getMessage(), ResponseBean.ERROR_UNAVAILABLE);
    }
}
