package com.yunzhi.nanyang.service.impl;

import com.yunzhi.nanyang.common.Constants;
import com.yunzhi.nanyang.entity.*;
import com.yunzhi.nanyang.mapper.*;
import com.yunzhi.nanyang.shiro.realms.manager.IManagerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Set;

@Service
public class ManagerServiceImpl implements IManagerService {

    @Autowired
    SysLoginMapper sysLoginMapper;

    @Autowired
    SysUserMapper sysUserMapper;

    @Autowired
    SysUserRoleMapper sysUserRoleMapper;

    @Autowired
    SysRoleMapper sysRoleMapper;

    @Autowired
    SysRolePermissionMapper sysRolePermissionMapper;

    @Autowired
    SysPermissionMapper sysPermissionMapper;

    @Override
    public Boolean verify(String id) {
        SysLogin sysLogin = sysLoginMapper.selectById(id);
        if (null == sysLogin || sysLogin.getStatus() != Constants.STATUS_NORMAL) {
            return false;
        }

        return true;
    }

    @Override
    public Set<String> getRolesByLoginId(String id) {
        SysLogin sysLogin = sysLoginMapper.selectById(id);

        if (sysLogin.getUserId().equals(Constants.ADMIN_ID)) {
            return sysRoleMapper.getAllRole();
        }

        return sysUserRoleMapper.getRoleByUser(sysLogin.getUserId());
    }

    @Override
    public Set<String> getPermissionsLoginId(String id) {
        SysLogin sysLogin = sysLoginMapper.selectById(id);
        String userId = sysLogin.getUserId();
        boolean isAdmin = userId.equals(Constants.ADMIN_ID);

        return sysRolePermissionMapper.getPermissionByUser(isAdmin, userId);
    }

}
